Bug 1189647 - internal error when $Y2PROFILER=1
internal error when $Y2PROFILER=1
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
x86-64 openSUSE Tumbleweed
: P2 - High : Normal with 1 vote (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/DLlTUGPz
:
Depends on:
Blocks: 1189617
  Show dependency treegraph
 
Reported: 2021-08-20 12:38 UTC by Christopher Yeleighton
Modified: 2022-10-07 08:49 UTC (History)
1 user (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2021-08-20 12:38:22 UTC
{ Y2PROFILER=1 yast2 view_anymsg /var/log/zypp/history; }

Internal error. Please report a bug report with logs.
Run save_y2logs to get complete logs.

Caller: /usr/lib64/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:83:in `require'

Details: cannot load such file -- profiler
Comment 1 Stefan Hundhammer 2022-10-06 14:24:41 UTC
Profiler support was dropped from Ruby with version 2.7, so we have no other choice than to drop it, too (team decision, not mine).

https://github.com/ruby/ruby/blob/d92f09a5eea009fa28cd046e9d0eb698e3d94c5c/doc/NEWS-2.7.0#label-Stdlib+compatibility+issues+-28excluding+feature+bug+fixes-29

"
  profile.rb, Profiler__

    Removed from standard library. It was unmaintained since Ruby 2.0.0.
"
Comment 3 Christopher Yeleighton 2022-10-06 16:54:21 UTC
(In reply to Stefan Hundhammer from comment #2)
> PRs:
> 
> - Code: https://github.com/yast/yast-ruby-bindings/pull/286
> - Docs: https://github.com/yast/yast.github.io/pull/340

When will the fix be released to Tumbleweed?  IMHO a general transition RESOLVED→RELEASED would be helpful for the community :-)
Comment 4 Lukas Ocilka 2022-10-07 06:59:38 UTC
That's something we don't know. We can only change the code and submit to Factory (or elsewhere), but the respective product maintainer needs to accept it. And they don't change Bugzilla state just for that. There's not even such Bugzilla state BTW. But we can hope that WHEN it's accepted, OBS bot writes that info into this bug.